[Rubygems-developers] Require fails when multiple directories listed in require_paths

Chad Fowler chad at chadfowler.com
Sun Jan 23 10:20:58 EST 2005

On Jan 22, 2005, at 9:51 PM, Lyle Johnson wrote:

> I just submitted a bug report about this one, as well as a (short)
> patch to fix it. Short story is that there's a bug (for RubyGems
> 0.8.4) that can cause 'require' to fail if the Gem has more than one
> directory listed in its spec's require_paths array. And since FXRuby
> falls into that category, it is breaking things...
> Just in case there's a pending RubyGems release -- say, to address the
> Rails performance problem -- I'm hoping this patch can make it in as
> well. I'll even cook up a test case if that would help close the deal.
> ;)
> _______________________________________________

Hi, Lyle.  Not that it's a contractual contingency, but if you want to 
cook up a test case, go for it :)

I'll apply the patch now.


More information about the Rubygems-developers mailing list